Bug 45524 - Translation template are not updated on Transifex
Translation template are not updated on Transifex
Status: RESOLVED FIXED
Product: PulseAudio
Classification: Unclassified
Component: misc
unspecified
Other All
: medium normal
Assigned To: pulseaudio-bugs
pulseaudio-bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-01 22:44 UTC by Cheng-Chia Tseng
Modified: 2012-03-13 16:59 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cheng-Chia Tseng 2012-02-01 22:44:12 UTC
According to http://www.pulseaudio.org/wiki/Community#BugsPatchesTranslations , 

"Translations shall be submitted via Transifex. This will commit your translations directly to our GIT repository and lessen our burden to merge patches. Please note that translations submitted by other means (bug tickets, mailed patches) will be ignored (or closed as "wontfix" in the case of bug tickets). "

There are two problems now:

1. The link of Transifex has been changed to https://www.transifex.net/projects/p/pulseaudio/
2. The Translation template has not been updated for some time. Translators cannot get latest po file via Transifex.net. I found out that there were new updated po files on Ubuntu Launchpad yesterday.

Because translations submitted by other means (bug tickets, mailed patches) will be ignored, they should be fixed as soon as possible.
Comment 1 Lennart Poettering 2012-02-21 08:27:34 UTC
We disabled the Transifex hookup when Tx stopped to apply changes in separate commits to git. We need proper attribution of translation changes, and that also means we need proper commits to git for that, with the right author filled in, and not all merged into one.

Until the point that Tx doesn't supply that we will not be able to hook up the project with Tx again.

Quite frankly I don't understand how any open source project can currently live without proper attribution of the translations.
Comment 2 Noriko Mizumoto 2012-02-21 17:39:15 UTC
Could you please advise how translators can contribute their translation to PulseAudio?
Comment 3 Cheng-Chia Tseng 2012-03-03 22:25:02 UTC
The wiki page said that "Please note that translations submitted by other means (bug tickets, mailed patches) will be ignored (or closed as "wontfix" in the case of bug tickets)."

Can we translators submit po files via freedesktop bug tracker instead now?
Comment 4 Colin Guthrie 2012-03-13 16:59:13 UTC
Hi Guys,

Please do submit patches for translations via this bug tracker.

I ran an update-po a while ago so fingers crossed it's fairly up-to-date and ready for translations!

I'd appreciate it if you could add "i18n" to the keywords section of bugs you submit.

We've just migrated wiki to freedesktop.org (the link in comment 1 should redirect) so I've made sure to update the section regarding translations with a different description until a more automated system can be enabled again.

I guess that means this bug is "solved" now, so I'll close it, but I'll definitely try and get a proper system hooked up.